---
search:
  tags:
    - Custom Roles
    - GET
seo:
  description: >-
    List all custom roles within an app. Reference for the GET
    /api/v1/{team_slug}/{app_slug}/custom-roles endpoint in the Management API.
sidebar:
  label: List all custom roles within pagination
  badge: GET
title: List all custom roles within pagination
type: openapi-operation
---
List all custom roles within an app

`GET /api/v1/{team_slug}/{app_slug}/custom-roles`

**Responses**

- `200` — List of app custom roles
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "app_id": "string",
      "created_at": "string",
      "id": "string",
      "is_default": true,
      "name": "string",
      "slug": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
